package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import com.realnet.basicp1.Entity.Village_ListFilter1;
import com.realnet.basicp1.Services.Village_ListFilter1Service ;
@RequestMapping(value = "/Village_ListFilter1")
@RestController
public class Village_ListFilter1Controller {
	
	@Autowired
	private Village_ListFilter1Service Service;

		@GetMapping("/Village_ListFilter1")
	public List<Village_ListFilter1> getlist() {
		 List<Village_ListFilter1> get = Service.getlistbuilder();		
		return get;
}
		@GetMapping("/Village_ListFilter11/{item}")
	public List<Village_ListFilter1> getlistwithparam(  @PathVariable String item) {
		 List<Village_ListFilter1> get = Service.getlistbuilderparam(  item);		
		return get;
}
}